Subject: Re: bug#16190: 23.4; M-x captialize-word works incorrectly
From: Eli Zaretskii <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 19 Dec 2013 19:54:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 19 Dec 2013 09:36:54 +0100
> 
> On Thu, 19 Dec 2013 05:51:02 +0200 Eli Zaretskii <[email-masked]> wrote:
> 
> >> Date: Thu, 12 Dec 2013 23:03:28 -0500
> >> From: Caleb Wakeman <[email-masked]>
> >> 
> >> With point in the middle of a word, I ran M-x capitalize-word.  Rather 
> >> than capitalize the first letter of the word, as I expected, it 
> >> capitalized the character at point and moved point to the end of the 
> >> word.  (Specifically, rather than change `word' (wo-!-rd) to `Word', it 
> >> changed it to `woRd'.)
> >
> > That's how capitalize-word is supposed to work.  It's not a bug, but
> > intended behavior.
> 
> Then its doc string is incorrect:

Fair enough, I fixed the doc string to be more explicit on this matter
(in trunk revision 115612).